unit uFrameDUT;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, ComCtrls,
  uFrameTest1, Types;

type

  { TFrmDUT }

  TFrmDUT = class(TFrame)
    PageControl: TPageControl;
    TS_Test1: TTabSheet;
    TS_Test2: TTabSheet;
    procedure TS_Test1ContextPopup(Sender: TObject; MousePos: TPoint;
      var Handled: Boolean);
  private
    Frame1: TFrameTest1;
  public
    constructor Create(TheOwner: TComponent); override;
    procedure Select;
    procedure UnSelect;
  end;

implementation

uses
  LazLogger;

{$R *.lfm}

{ TFrmDUT }

procedure TFrmDUT.TS_Test1ContextPopup(Sender: TObject; MousePos: TPoint;
  var Handled: Boolean);
begin

end;

constructor TFrmDUT.Create(TheOwner: TComponent);
begin
  inherited Create(TheOwner);
  Frame1:= nil;
end;

procedure TFrmDUT.Select;
begin
  if not assigned(Frame1) then begin
    try
      // Frame G16su Schicht
      Frame1:= TFrameTest1.Create(TS_Test1);
      Frame1.Parent:= TS_Test1;
      Frame1.Align:= alClient;
    except
      on E: Exception do begin
        DebugLn( 'Frame1 Exception: '+ E.Message);
      end;
    end;
  end;

end;

procedure TFrmDUT.UnSelect;
begin
  if Assigned(Frame1) then begin
    Frame1.Free;
    Frame1:= nil;
  end;
end;

end.

